POST Agents/User/ResolveUserFromInfo
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
POST /api/v1/Agents/User/ResolveUserFromInfo
Get a user from the provided information.
If the user or associated person does not exist, it will be created on demand. NsApiSlow threshold: 2000 ms.
Online Restricted: ## The User agent is not available in Online by default. User management is not allowed for partner apps.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/User/ResolveUserFromInfo?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
ContactId, PersonName, PhoneNumbers, Emails, UserType, Credential
| Property Name | Type | Description |
|---|---|---|
| ContactId | Integer | |
| PersonName | String | |
| PhoneNumbers | Array | |
| Emails | Array | |
| UserType | String | |
| Credential | Credential | Credentials supported for authentication |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ResolvedUser
| Property Name | Type | Description |
|---|---|---|
| User | User | The resolved User instance. |
| PersonCreated | bool | Indicates if the resolved person was created or not. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/User/ResolveUserFromInfo
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"ContactId": 850,
"PersonName": "Boyer LLC",
"PhoneNumbers": [
"47227",
"762816"
],
"Emails": [
"lenore@metz.com",
"gia.rogahn@hauck.ca"
],
"UserType": "AnonymousAssociate",
"Credential": null
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"User": null,
"PersonCreated": false,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 113
}
}
}